<?php

namespace App\View\Components;

use App\Models\Advertisement;
use Closure;
use Illuminate\Contracts\View\View;
use Illuminate\View\Component;

class AdBanner extends Component
{
    public $ad;

    /**
     * Create a new component instance.
     */
    public function __construct(public string $placement)
    {
        $this->ad = Advertisement::active()
            ->where('placement', $placement)
            ->inRandomOrder()
            ->first();
    }

    /**
     * Get the view / contents that represent the component.
     */
    public function render(): View|Closure|string
    {
        return view('components.ad-banner');
    }
}
